{% extends 'store/base.html' %}
{% load static %}
{% block content %}
    <div class="row mx-auto">
        <div class="col-lg-2">
            <div class="list-group">
                <a href="#" class="list-group-item list-group-item-action navbar-dark bg-dark"><strong>Search by Category</strong></a>
                {% for category in categories %}
                    <a href="/store/?category={{ category.id }}" class="list-group-item list-group-item-action">{{ category.category_name }}</a>
                {% endfor %}
            </div>
        </div>
        {% if request.user.is_authenticated and request.user.is_shop_user and request.user.shop_user_status == "approved" %}
                <br>
                <div class="col-lg-10">
                    <div class="card card-body">
                        <div class="row">
                            <div class="col-lg-6">
                                <a class="btn btn-outline-success btn-block" href="{% url 'add-product' %}">Add Product</a>
                            </div>
                            <div class="col-lg-6">
                                <a class="btn btn-outline-success btn-block" href="{% url 'add-category' %}">Add Category</a>
                            </div>
                        </div>
				    </div>
				    <div class="card card-body">
					<table class="table">
						<tr>
                            <th></th>
							<th>Product</th>
							<th>Quantity</th>
							<th>Price</th>
                            <th></th>
                            <th></th>
						</tr>
                        {% for product in product_list %}
                            <tr>
                                <td><img class="box-image" src="{{ product.imageURL }}"></td>
                                <td>{{ product.product_name }}</td>
                                <td>{{ product.quantity }}</td>
                                <td>₹ {{ product.price }}</td>
                                <td><a href="{% url 'edit-product' product.id %}">Edit</a></td>
                                <td><a href="{% url 'delete-product' product.id %}">Delete</a></td>
                            </tr>
                        {% empty %}
                            <h4>No Products found.</h4>
                        {% endfor %}
					</table>
				    </div>
                </div>
        {% elif request.user.is_authenticated and request.user.is_shop_user and request.user.shop_user_status == "pending" %}
            <h5>Your are not authorized as Shop User till now.</h5>
        {% elif request.user.is_authenticated and request.user.is_shop_user and request.user.shop_user_status == "rejected" %}
            <h5>Sorry, your request for Shop User is declined. Please convert your account into Customer account from <a href="{% url 'covert-account-to-customer' %}">here</a></h5>
        {% else %}
            {% for product in product_list %}
                {% if product.publish_item %}
                    {% if forloop.counter0 != 0 and forloop.counter0|divisibleby:3 %}
                        </div><br><div class="row mx-auto"><div class="col-lg-2"></div>
                    {% endif %}
                    <div class="col-lg-3">
                        <img class="thumbnail" src="{{ product.imageURL }}">
                        <div class="box-element product">
                            <h6><strong>{{ product.product_name }}</strong></h6>
                            <hr>
                            {% if product.quantity == 0 %}
                                <button class="btn btn-outline-secondary" disabled>Out of Stock</button>
                            {% else %}
                                <button data-product={{ product.id }} data-action="add" class="btn btn-outline-secondary add-btn update-cart">Add to Cart</button>
                            {% endif %}
                            <h4 style="display: inline-block; float: right"><strong>₹ {{ product.price }}</strong></h4>
                        </div>
                    </div>
                {% endif %}
            {% empty %}
                <h4>No Products found.</h4>
            {% endfor %}
        {% endif %}

    </div>
{% endblock content %}

{% block cart %}
    {% if request.user.is_authenticated and request.user.is_customer %}
        <div class="form-inline my-2 my-lg-0">
            <a href="{% url 'display-cart' cart.id %}">
                <img  id="cart-icon" src="{% static 'images/cart.png' %}">
            </a>
            <p id="cart-total">{{ total_cart_items }}</p>
        </div>
    {% endif %}
{% endblock cart %}